##
##  subgit.spec -- OpenPKG RPM Package Specification
##  Copyright (c) 2000-2025 OpenPKG Project <http://openpkg.org/>
##
##  Permission to use, copy, modify, and distribute this software for
##  any purpose with or without fee is hereby granted, provided that
##  the above copyright notice and this permission notice appear in all
##  copies.
##
##  THIS SOFTWARE IS PROVIDED ``AS IS'' AND ANY EXPRESSED OR IMPLIED
##  WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF
##  MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED.
##  IN NO EVENT SHALL THE AUTHORS AND COPYRIGHT HOLDERS AND THEIR
##  CONTRIBUTORS BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
##  SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT
##  LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF
##  USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND
##  ON ANY THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY,
##  OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT
##  OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF
##  SUCH DAMAGE.
##

#   package version
%define       V_subgit      3.3.18
%define       V_dist        3.3.18

#   package information
Name:         subgit
Summary:      Subversion/Git Integration
URL:          http://subgit.com/
Vendor:       TMate Software
Packager:     OpenPKG Project
Distribution: OpenPKG Community
Class:        EVAL
Group:        SCM
License:      Commercial
Version:      %{V_subgit}
Release:      20241115

#   list of sources
Source0:      https://subgit.com/files/subgit-%{V_dist}.zip
Source1:      subgit.sh
Source2:      subgit.properties

#   build information
BuildPreReq:  OpenPKG, openpkg >= 20160101
PreReq:       OpenPKG, openpkg >= 20160101, java, JAVA-JDK

%description
    SubGit enables transparent and mostly lossless translation from
    Subversion to Git and back.

%track
    prog subgit = {
        version   = %{V_dist}
        url       = https://subgit.com/download
        regex     = subgit-(__VER__).zip
    }

%prep
    %setup -q -n subgit-%{V_dist}

%build

%install
    %{l_shtool} mkdir -f -p -m 755 \
        $RPM_BUILD_ROOT%{l_prefix}/bin \
        $RPM_BUILD_ROOT%{l_prefix}/etc/subgit \
        $RPM_BUILD_ROOT%{l_prefix}/lib/subgit \
        $RPM_BUILD_ROOT%{l_prefix}/var/subgit
    %{l_shtool} install -c -m 755 %{l_value -s -a} \
        %{SOURCE subgit.sh} \
        $RPM_BUILD_ROOT%{l_prefix}/bin/subgit
    %{l_shtool} install -c -m 755 %{l_value -s -a} \
        %{SOURCE subgit.properties} \
        $RPM_BUILD_ROOT%{l_prefix}/etc/subgit/
    %{l_shtool} install -c -m 644 \
        lib/*.jar \
        $RPM_BUILD_ROOT%{l_prefix}/lib/subgit/
    %{l_rpmtool} files -v -ofiles -r$RPM_BUILD_ROOT \
        %{l_files_std} \
        '%config %{l_prefix}/etc/subgit/*'

%files -f files

%clean

